### 4.23.1 vector declarations

Syntax:
  `vector` name `=` vector_expression `;`

Purpose:
  defines a vector of polynomials (an element of a free module).

Default:
  [0]

Example:

        ring r=0,(x,y,z),(c,dp);
        poly s1 = x2;
        poly s2 = y3;
        poly s3 = z;
        vector v = [s1, s2-s1, s3-s1]+ s1*gen(5);
        // v is a vector in the free module of rank 5
        v;
      ==> [x2,y3-x2,-x2+z,0,x2]

User manual for Singular version 4.4.1, 2025, generated by texi2html.